Page 1 of 3

Problema con plugin Adobe Flash [Risolto]

Posted: Sat Mar 12, 2011 15:14
by Alextave
Salve a tutti, ho problema strano con il plugin di Adobe Flash. Improvvisamente non riesco più a vedere video su youtube (o altri siti), mi viene scritto questo al posto del video: "Si è verificato un arresto anomalo del plugin Adobe Flash". Succede sia con Opera (browser predefinito e preferito) sia con Firefox. Ho provato a reinstallare Sabayon ma viene lo stesso problema...

Qualcuno sa come si risolve (se si può risolvere)?
Grazie dell'aiuto

Re: Problema con plugin Adobe Flash

Posted: Sat Mar 12, 2011 15:48
by Matte88

Code: Select all

# equo update --force && equo install entropy --relaxed && equo upgrade && equo libtest && equo deptest && equo install www-plugins/adobe-flash kde-base/nsplugins www-plugins/nspluginwrapper
Mi raccomando: l'intero codice deve risiedere su un'unica riga!
Facci sapere! :alien:

Re: Problema con plugin Adobe Flash

Posted: Sat Mar 12, 2011 17:59
by Alextave
Mi ha installato 252 pacchetti (mancavano gli aggiornamenti perchè l'avevo appena reinstallato) però mi dà ancora lo stesso problema... C'entra l'aggiornamento di Firefox?

Re: Problema con plugin Adobe Flash

Posted: Sun Mar 13, 2011 2:26
by Matte88
Alextave wrote:C'entra l'aggiornamento di Firefox?
Ne dubito... :?

Re: Problema con plugin Adobe Flash

Posted: Mon Mar 14, 2011 15:05
by Alextave
Non ci sono altre soluzioni? :cry:

Re: Problema con plugin Adobe Flash

Posted: Mon Mar 14, 2011 16:55
by Matte88
Potresti provare ad installare la versione stabile (quindi più vecchia) prelevandola dal sito di Adobe oppure (meglio) installandola da Portage (potresti anche riuscire ad effettuare il downgrade da Entropy, dato che hanno da poco implementato questa opzione con i repos weekly, ma al momento non so come funzioni... Se intanto vuoi dare una spulciata tu, leggi qui)

Code: Select all

emerge -1av =www-plugins/adobe-flash-10.2.152.27 && equo rescue spmsync
Ora sono a lavoro, ma appena torno a casa - con più calma - modifico il post e ti spiego meglio come procedere. Intanto puoi comunque dare il comando tranquillamente, a patto che poi non aggiorni Sabayon (fino a stasera)! :cheese:
CI sentiamo dopo allora :alien:

P. S.: architettura della Sabayon installata? x86 o amd64?

Re: Problema con plugin Adobe Flash

Posted: Mon Mar 14, 2011 18:01
by Alextave
Ho sabayon per x86, un Celeron...
Il tuo comando ha dato questo:

Code: Select all

emerge: there are no ebuilds to satisfy "=www-plugins/adobe-flash-10.2.152.27".
penso non sia niente di buono... :?

Re: Problema con plugin Adobe Flash

Posted: Tue Mar 15, 2011 1:50
by Matte88
Alextave wrote:Ho sabayon per x86, un Celeron...
Il tuo comando ha dato questo:

Code: Select all

emerge: there are no ebuilds to satisfy "=www-plugins/adobe-flash-10.2.152.27".
penso non sia niente di buono... :?
Niente paura! :eye:
Segui allora le seguenti istruzioni
Da: http://lxnay.wordpress.com/2011/03/09/a ... epository/
Fabio Erculiani ha messo a disposizione un repository che verrà aggiornato settimanalmente.
Lo scopo di tale repository è quello di poter usufruire di downgrade di pacchetti.

Sabayon è una rolling-release e come tale fino ad ora era possibile solo fare l'upgrade dei pacchetti proposti senza passare all'uso di portage e di mascheramenti vari per poter eseguire un downgrade.

Ora c'è la possibilità di eseguire il downgrade delle applicazioni in tutta sicurezza.

Come Aggiungere il Repository sabayon-weekly:

Editare da root il file /etc/entropy/repositories.conf

Code: Select all

# nano -w /etc/entropy/repositories.conf
Copiare una riga del repositories esistente
Esempio:

Code: Select all

repository|sabayonlinux.org|Sabayon Linux Official Repository|http://pkg.sabayon.org|http://pkg.sabayon.org,sabayon.org
e modificare solo la parte relativa al nome del repository; ossia modificare il testo di:

repository|sabayonlinux.org|Sabayon Linux Official Repository...

in

repository|sabayon-weekly|Sabayon Linux Official Repository...

aggiornare il/i repository

Code: Select all

equo update --force
Per effettuare un downgrade di firefox (per esempio) eseguire (sempre da root):

Code: Select all

# equo install www-client/[email protected]

Code: Select all

equo search firefox
>>  @@ Cercando...
>>      @@ Pacchetto: www-client/firefox-3.6.15 branch: 5, [sabayonlinux.org] 
>>         Disponibile:   versione: 3.6.15 ~ tag: NoTag ~ revisione: 0
>>         Installato:    versione: 3.6.15 ~ tag: NoTag ~ revisione: 0
>>         Slot:          0
>>         Homepage:      http://www.mozilla.com/firefox 
>>         Descrizione:   Firefox Web Browser 
>>         Licenza:       GPL-2 LGPL-2.1 MPL-1.1
>>      @@ Pacchetto: www-client/firefox-3.6.15 branch: 5, [sabayon-weekly] 
>>         Disponibile:   versione: 3.6.15 ~ tag: NoTag ~ revisione: 0
>>         Installato:    versione: 3.6.15 ~ tag: NoTag ~ revisione: 0
>>         Slot:          0
>>         Homepage:      http://www.mozilla.com/firefox 
>>         Descrizione:   Firefox Web Browser 
>>         Licenza:       GPL-2 LGPL-2.1 MPL-1.1
>>      @@ Pacchetto: www-client/firefox-bin-3.6.9 branch: 5, [sabayon-weekly] 
>>         Disponibile:   versione: 3.6.9 ~ tag: NoTag ~ revisione: 0
>>         Installato:    versione: Non installato ~ tag: N/A ~ revisione: N/A
>>         Slot:          0
>>         Homepage:      http://www.mozilla.com/firefox 
>>         Descrizione:   Firefox Web Browser 
>>         Licenza:       GPL-2 LGPL-2.1 MPL-1.1
>>      @@ Pacchetto: www-client/firefox-bin-3.6.9 branch: 5, [sabayonlinux.org] 
>>         Disponibile:   versione: 3.6.9 ~ tag: NoTag ~ revisione: 0
>>         Installato:    versione: Non installato ~ tag: N/A ~ revisione: N/A
>>         Slot:          0
>>         Homepage:      http://www.mozilla.com/firefox 
>>         Descrizione:   Firefox Web Browser 
>>         Licenza:       GPL-2 LGPL-2.1 MPL-1.1
>>  Keyword:  firefox
>>  Trovati:  4 voci

per downgradare www-plugins/adobe-flash all'ultima versione ufficiale stabile che è questa
Linux Mozilla, Firefox, SeaMonkey 10.2.152.27
come riportato da Adobe (vedi qui)
Ovviamente prima di procedere con l'installazione (equo install nomepacchetto) controlla prima che effettivamente sia disponibile la versione in questione usando il comando cerca

Code: Select all

equo search www-plugins/adobe-flash

Re: Problema con plugin Adobe Flash

Posted: Tue Mar 15, 2011 16:51
by Alextave
Niente, e ho fatto tutto come avevi detto tu sia con sabayon-weekly sia con il downgrade... E non so dove sbaglio...
Facendo

Code: Select all

 equo search www-plugins/adobe-flash
, mi trova il plugin 10.2.152.23 che penso sia quella usata da firefox dopo avergli fatto il downgrade...

Non so più che pensare... :?

Re: Problema con plugin Adobe Flash

Posted: Tue Mar 15, 2011 21:59
by Matte88
Apri Opera e Firefox da terminale (da utente normale!-> $), ma uno alla volta però! :eye: Metti a riprodurre un video in flash, copia l'output nel terminale e poi posta qui i risultati